# Export Effects

### Export effects designed with Feelix

In order to export an effect go to the effects tab of the library window and click the export button next to the effect (see image below).

![Effect library](/files/-MlG5DDXoRhVc0MbeazD)

An export window will appear.  The render quality of the export can be modified, increasing the value will reduce the number of data points.

![Export window](/files/-MlG5DDRlax22nyZlUxo)

### Import effects designed with Feelix

Paste the code above the setup function in your Arduino code.

```cpp
/* initialize */ 
EffectConfig_s sawtooth_config {
	.data_size = 4,
	.angle = 120,
	.quality = 40,
	.effect_type = Effect_type::DEPENDENT,
	.control_type = Control_type::TORQUE
};

float data_sawtooth[] = {0.0, 0.95, -0.95, 0.0};
FeelixEffect sawtooth = FeelixEffect(sawtooth_copy_config, data_sawtooth_copy);
```

{% hint style="info" %}
More information about how to use these effects can be found in the [documentation](/downloads/arduino-library-documentation/effect-functions.md)
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.feelix.xyz/create-and-edit-files/export.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
